{ pkgs, ... }:
{
  services.postgresql.enable = true;
  services.postgresql.package = pkgs.postgresql_12;
  services.postgresql.dataDir = "/mnt/data/postgresql";
  services.postgresql.enableTCPIP = true;
  services.postgresql.authentication = ''
    host  all all 10.88.0.0/16 trust
  '';

  system.activationScripts = {
    mnt = {
      text = "chmod 755 /mnt && mkdir -p /mnt/data/postgresql && chown -R postgres:postgres /mnt/data/postgresql";
      deps = [];
    };
  };

  fileSystems."/mnt/data" = {
    device = "/dev/sdb";
    fsType = "ext4";
    label = "data";
    options = [ "nofail" ];
  };

  networking.firewall.allowedTCPPorts = [5432];
}
